"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RecordSidebarToggleButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _get = _interopRequireDefault(require("lodash/get"));

var _classnames = _interopRequireDefault(require("classnames"));

var _RecordSidebarToggleButton = _interopRequireDefault(require("../../../styles/cspace-ui/RecordSidebarToggleButton.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const messages = (0, _reactIntl.defineMessages)({
  hide: {
    "id": "recordSidebarToggleButton.hide",
    "defaultMessage": "Hide sidebar"
  },
  show: {
    "id": "recordSidebarToggleButton.show",
    "defaultMessage": "Show sidebar"
  }
});
const propTypes = {
  config: _propTypes.default.object,
  recordType: _propTypes.default.string,
  isRecordSidebarOpen: _propTypes.default.bool,
  toggleRecordSidebar: _propTypes.default.func
};
const defaultProps = {
  isRecordSidebarOpen: true
};

function RecordSidebarToggleButton(props) {
  const {
    config,
    recordType,
    isRecordSidebarOpen,
    toggleRecordSidebar
  } = props;
  const serviceType = (0, _get.default)(config, ['recordTypes', recordType, 'serviceConfig', 'serviceType']);
  const isAuthority = serviceType === 'authority';
  const className = (0, _classnames.default)(isRecordSidebarOpen ? _RecordSidebarToggleButton.default.normal : _RecordSidebarToggleButton.default.closed, isAuthority ? _RecordSidebarToggleButton.default.purple : _RecordSidebarToggleButton.default.blue);
  const labelMessage = isRecordSidebarOpen ? messages.hide : messages.show;
  return _react.default.createElement("button", {
    className: className,
    name: "toggleSidebar",
    type: "button",
    onClick: toggleRecordSidebar
  }, _react.default.createElement(_reactIntl.FormattedMessage, labelMessage));
}

RecordSidebarToggleButton.propTypes = propTypes;
RecordSidebarToggleButton.defaultProps = defaultProps;